Skip to main content
`Ctrl`+`K`

# EPSSetConvergenceTestFunction

Sets a function to compute the error estimate used in the convergence test.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetConvergenceTestFunction(EPS eps,EPSConvergenceTestFn *func,PetscCtx ctx,PetscCtxDestroyFn *destroy)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- func - convergence test function, see `EPSConvergenceTestFn` for the calling sequence

- ctx - context for private data for the convergence routine (may be `NULL`)

- destroy - a routine for destroying the context (may be `NULL`), see `PetscCtxDestroyFn` for the calling sequence

## Notes

When this is called with a user-defined function, then the convergence criterion is set to `EPS_CONV_USER`, see `EPSSetConvergenceTest()`.

If the error estimate returned by the convergence test function is less than the tolerance, then the eigenvalue is accepted as converged.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetConvergenceTest()`, `EPSSetTolerances()`

## Level

advanced

## Location

src/eps/interface/epsopts.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages